petsc-3.4.2 2013-07-02

# SNESLineSearchGetSNES

Gets the SNES instance associated with the line search. Having an associated SNES is necessary because most line search implementations must be able to evaluate the function using SNESComputeFunction() for the associated SNES. This routine is used in the line search implementations when one must get this associated SNES instance.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetSNES(SNESLineSearch linesearch, SNES *snes)

### Input Parameters

linesearch -linesearch context

### Output Parameters

snes -The snes instance

### See Also

SNESLineSearchGetSNES(), SNESLineSearchSetVecs(), SNES

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex1f.F.html